# Block: caution
# TO MAKE CHANGES USE "meta" DIRECTORY (see packgram docs).

# Block: data_files
import os
data_files = []
if data_files:
    try:
        if os.geteuid() != 0:
            data_files.clear()
    except Exception:
        pass

# Block: long_description
from glob import iglob
long_description = 'Packgram is a framework to develop packages.'
for filepath in iglob('README.*'):
    with open(filepath) as file:
        long_description = file.read()
    break     

# Block: packages
from setuptools import find_packages
packages = find_packages(os.path.dirname(__file__) or '.', exclude=['tests*'])

# Block: setup
from setuptools import setup
setup(
    author='roll',
    author_email='roll@respect31.com',
    classifiers=[],       
    description='Packgram is a framework to develop packages.',
    data_files=data_files,
    download_url='https://github.com/respect31/packgram/tarball/0.24.0',
    entry_points={'console_scripts': ['packgram = packgram:program']},
    license='MIT License',
    long_description=long_description,
    maintainer='roll',
    maintainer_email='roll@respect31.com',
    name='packgram',
    include_package_data=True,
    install_requires=['box>=0.44', 'clyde>=0.4', 'runfile>=0.38', 'jinja2', 'sphinx', 'sphinx_rtd_theme', 'nose', 'coverage'], 
    packages=packages,
    platforms=['Unix'],
    url='https://github.com/respect31/packgram',
    tests_require=[],
    test_suite='nose.collector',
    version='0.24.0')
